import React from "react";
import { BrowserRouter as Route, Redirect } from "react-router-dom";

import useGlobal from "../utils/global_state";
import { Home } from "../screens";

const PrivateRoute = ({ component: Component, ...rest }) => {
  const [globalState, globalActions] = useGlobal();
  console.log("Here", globalState.is_authenticated);
  return globalState.is_authenticated ? <Home /> : <Redirect to="/login" />;
};

export default PrivateRoute;
