import React, { useState } from "react";
import {
  BrowserRouter as Router,
  Switch,
  Route,
  useRouteMatch
} from "react-router-dom";

import { AddMetadata, ProductsList } from "./subscreens";
import "./AddReceipt.css";

function AddReceipt() {
  const match = useRouteMatch();
  return (
    <Switch>
      <Route path={`${match.url}/list`}>
        <ProductsList />
      </Route>
      <Route path={`${match.url}`}>
        <AddMetadata />
      </Route>
    </Switch>
  );
}

export default AddReceipt;
