import React from "react";
import { Button, Modal } from "semantic-ui-react";

import "./ModalConfirm.css";

const ModalConfirm = props => (
  <Modal size="mini" open={props.open} onClose={props.onClose}>
    <Modal.Content>
      <p>Zakończyć edycję nowego paragonu i dodać go do bazy?</p>
    </Modal.Content>
    <Modal.Actions>
      <Button
        positive
        icon="checkmark"
        labelPosition="right"
        content="Tak"
        onClick={props.onConfirm}
      />
      <Button negative onClick={props.onClose}>
        Nie
      </Button>
    </Modal.Actions>
  </Modal>
);

export default ModalConfirm;
